[DBCleaner] OS V 9.1.6 - unable to delete old eSpace versions

[DBCleaner] OS V 9.1.6 - unable to delete old eSpace versions

  
Forge Component
(28)
Published on 16 Aug by Mika Roivainen
28 votes
Published on 16 Aug by Mika Roivainen

Hi,

I have OS 9.1.6 version and the newest version of DBCleaner. 

When I try to delete old eSpace versions I get an error message:

The DELETE statement conflicted with the REFERENCE constraint "OSFRK_OSSYS_APP_VERSION_MODULE_VERSI_OSSYS_ESPACE_VERSION_ESPACE_VERSION_ID". The conflict occurred in database "osDEV1", table "dbo.OSSYS_APP_VERSION_MODULE_VERSI", column 'ESPACE_VERSION_ID'

Would it be possiible for you to fix it?

Regards

Tomasz

I believe it's not a DBCleaner's issue. Maybe it's related to this platform's version. Have you already tryed to contact success@outsystems.com to ask them about it?

João Melo wrote:

I believe it's not a DBCleaner's issue. Maybe it's related to this platform's version. Have you already tryed to contact success@outsystems.com to ask them about it?

I think that the current version of DBCleaner is just incompatible with OS ver. 9.1.6. No, I haven't tried to contact them because I don't know how DBCleaner works, how versions of eSpaces are stored and so on.

Regards

Tomasz 

Hello Tomasz,

Please refer to this post (and this)where I explain where that error is coming from.

TLDR; unfortunately it's something that can happen and that DBCleaner does not have a way to prevent against. However, DBCleaner will try to delete as much old versions as it can. If it is not deleting them, then it can't.

Best regards,

Ricardo Silva